.slider{
    border-radius: 3px;;
}
*{
    cursor: pointer;
}
.steps{
    .step:last-of-type{
            transform: translate(-0.25em, 0px);
            .step-indicator::after{
                content: attr(data-after-content);
                position: absolute;
                left: calc(100% + 2px);
                font-weight: bolder;
            }
    }
}

.element{
    left: 10%;
    position: absolute;
    border-radius: 50%;
    background-color: #FFF;
    /* display: block; */
    width: 2.4em;
    text-align: center;
    height: 2.4em;
    transform: translateX(-50%);
    font-size: 0.8em;
    padding: 3px 0 0 0;
    &::before {
        content: '';
        position: absolute;
        top: 100%;
        /* transform: translateX(-167%); */
        height: 19px;
        display: block;
        width: 50%;
    }
    &::after {
        content: "";
        width: 0.7em;
        height: 0.7em;
        display: block;
        top: calc( 100% + 15px);
        position: absolute;
        -webkit-transform: translateX(72%);
        transform: translateX(82%);
        border-radius: 50%;
    }
}
.item-safe{
    border: 2px solid #0E8934;
    &::before{
        border-right: 1px dashed #0E8934;
    }
    &::after{
        background-color: #0E8934;
    }
}
.item-warning{
    border: 2px solid #F8D620;
    &::before{
        border-right: 1px dashed #F8D620;
    }
    &::after{
        background-color: #F8D620;
    }
}
.item-danger{
    border: 2px solid red;
    &::before{
        border-right: 1px dashed red;
    }
    &::after{
        background-color: red;
    }
}

::ng-deep .dashboard-tooltip{
    background: #EBEBEB !important;
    color: var(--main-strada-color-2) !important;
    font-weight: bolder;
    border-radius: 3px !important;
    border-bottom: 2px solid var(--main-strada-color-1) !important;
    &::after {
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-color: var(--main-strada-color-1) transparent transparent !important;
    }
}


::ng-deep .data-list{
    transform: translate(50%,30px) !important;
    max-height: 500px !important;
    &::before{
        content: '';
        position: relative;
        width: 2em;
        height: 2em;
        background-color: #fff;
        border-left: 50% solid transparent;
        border-right: 50% solid transparent;
    }
    .drop-header{
        color: var(--main-strada-color-1);
    }
    .data-btn{
        span, path{
            color: var(--main-strada-color-1) !important;
            stroke: var(--main-strada-color-1) !important;
            fill: var(--main-strada-color-1) !important;
        }
    }
}
.slide-menu-backdrop{
    opacity: 0 !important;
}

.drop-menu-container{
    box-shadow: 0px 0px 9px 2px #00000036;
    border-radius: 5px;
    width: 100%;
    z-index: 100000;
    background-color: #fff;
    .drop-header{
        margin: 0.65em 0 0.65em 0.75em;;
        color: var(--main-strada-color-1);
    }
    .drop-menu-content{
        background-color: #fff;
        width: 100%;
        overflow-y: auto;
        overflow-x: hidden;
        max-height: calc( 100% - 3.4em );
        button{
            width: 100%;
            height: 60PX;
            span{
                color: var(--main-strada-color-1);
            }
        }
    }
    &::before {
        content: '';
        position: relative;
        left: calc( 50% - 5px );
        top: -5px;
        width: 10px;
        height: 10px;
        background: #fff;
        display: block;
        transform: rotate(45deg);
    }
}

::ng-deep .data-list .drop-menu-container {
  /* Do you changes here */
  position: fixed;
  z-index: 10000 !important;
}


// ::ng-deep .cdk-overlay-container {
//   /* Do you changes here */
//   position: fixed;
//   z-index: 10000 !important;
// }

